# title
yardによる数値計算関連文書作成システムの構築

# 概要
## hiki2yardで何を目指すか?
rubyのgem directoryは，すべての開発者がはじめてそのコードを見た時にも迷わないように，決まった構造になっています．特にdocディレクトリーはrubygemsでのdocumentのデフォルトディレクトリーとして，*.wikiディレクトリーはgithubのwikiのデフォルトディレクトリーとして用意されています．このディレクトリーに対して，それぞれのrubygems, githubシステムがoperationを行い，初めて利用するユーザあるいは開発者に対して必要な情報を提供するように意図されています．

我々がhiki2yardで目指すものも同じです．



# 作業（16/8/4）
以下の作業を今週中にやってください．
1. hiki2latexをhiki2yard.gemspecに入れて，bundle updateで取ってくる．
1. hiki2latexを動かしてみる．
  1. [nishitani0のDocumentWriting](http://nishitani0.kwansei.ac.jp/~bob/nishitani0/Internal/DocumentWriting.html)にある，hiki2latex, 手順・コツ，幾つかのformatひな形を読んでいれてみてください．
1. Rakefileにsakibts.hikiをlatex/sakibts.texに変換するruby codeを書く．

できないとみんなの中間発表用のabstractが作れません．がんばってね．

# 幾つかの注意(16/8/17)
updateされたのに対する幾つかの注意です．

## システムについての注意
- directoryのなかで，何処にfileを置くかは決めてあります．なぜかは概要に書きました．勝手にdirecotryを作るのではなく，今あるdirectoryの中での操作をRakefileに書き加えるようにしてください．
  - tex_sampleは不用ですので，削除してください．
- hikis/TexManual.hikiに移しました．そこから自動でlatexesへ生成するようにRakefileを修正しています．

## hikiの記述に関する注意
- number listは\#で書いていく．
- へんな記号は使わない．右三角．これは，latexで解釈できないため，変換されないためです．
- $\rightarrow$を使う．ただし，hikiでの表示ができていない．これは，hiki2yardではできません．
  - mathjaxを使えるようにします．その手順は次に記述します．

## mathjax-yardについて
標準yardで変換されるmdファイル内で，数式を表示することを可能にする拡張機能です．yard処理の前後にmathjaxのための処理を挟んで，標準的なgemディレクトリ内にあるmdファイルをdoc/file.**に変換後にlatex記法の数式を表示します．

### 操作法
```
gem install mathjax-yard
```
でinstall.
```
mathjax-yard -i
```
でinitしてくれます．後は，　
```
rake myard
```
でyardがhtmlに自動的に変換してくれます．
